PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - a -

- Action : PTimerList::RequestType
- AddOptions : PHTTPSpace
- Affiliation : XMPP::MUC::User
- Algorithm : PHTTPClientDigestAuthentication
- ASNType : PASNObject
- AttributeType : PLDAPSchema
- AuthenticationMethod : PLDAPSession
- AutoDeleteFlag : PThread

### - b -

- BasicType : PVarType
- BlockChainMode : PCypher
- BorderCodes : PHTML
- BuildOptions : PHTTPForm

### - c -

- CheckedCodes : PHTML
- Choices : PRFC1155_SimpleSyntax , PRFC1155_NetworkAddress , PSNMP_PDUs , PRFC1155_ApplicationSyntax
- CodeStatus : PProcess
- Command : PTelnetSocket
- Commands : PFTP , PHTTP , PPOP3 , PSMTP , PSSDP
- Comparison : PObject
- ConsoleType : PConsoleChannel
- ConversionType : PString

### - d -

- DataChannelType : PFTP
- DateOrder : PTime
- Direction : PRFC822Channel
- Directions : PSoundChannel , PVideoChannel
- DisableCodes : PHTML

### - e -

- ElementInSet : PHTML
- ElementType : PStructuredFile
- EnterSafetyModeOption : PSafePtrBase
- ErrorCodes : PRegularExpression
- ErrorGroup : PChannel
- Errors : PChannel
- ErrorType : PSNMP
- ExitSafetyModeOption : PSafePtrBase

### - f -

- FilePositionOrigin : PFile
- FileTypes : PFileInfo
- Flags : PMemoryHeap
- FlowControl : PSerialChannel
- Formats : PTimeInterval
- ForwardResult : PSMTPServer

### - g -

- GrammarState : PVXMLGrammar

### - i -

- InputInteractType : PVideoInteractionInfo
- IQType : XMPP::IQ
- ItemType : XMPP::Roster
- IteratorBounds : PBitwiseEnum< BaseEnum, MaxValue, BaseInt >

### - l -

- LoginOptions : PPOP3Client
- LookUpResult : PSMTPServer , PMail

### - m -

- MacroOptions : PServiceHTML
- MessageType : XMPP::Message
- Method : PSSLContext
- Mode : PDelayChannel
- Months : PTime
- MsgType : PSTUNMessage
- MSSQLProtocols : PODBC

### - n -

- NameType : PTime
- NameTypes : PFTP
- NotificationCode : PPluginManager

### - o -

- OpenMode : PFile
- Operation : PIntCondMutex , PLDAPSession::ModAttrib
- OptionalCRLF : PHTML::Element
- Options : PTrace , PTelnetSocket
- OptionType : PArgList

### - p -

- Parity : PSerialChannel
- Permissions : PFileInfo
- PingStatus : PICMPSocket
- PresenceType : XMPP::Presence
- Priority : PThread
- PXBlockType : PChannel

### - r -

- RepresentationType : PFTP
- RequestType : PSNMP
- Reusability : PSocket
- Role : XMPP::MUC::User

### - s -

- SearchScope : PLDAPSession
- SelectionCodes : PHTML
- ShowType : XMPP::Presence
- ShutdownValue : PChannel
- Source : PConfig
- StandAloneType : PXMLBase
- StandardSizes : PVideoFrameInfo
- Status : PModem
- StatusCode : PHTTP
- StreamState : XMPP::C2S::StreamHandler
- StuffState : PInternetProtocol
- SubOptionCodes : PTelnetSocket

### - t -

- TimeFormat : PTime
- TimeZoneType : PTime
- TransferType : PVXMLSession
- TranslationType : PURL
- TrapType : PSNMP
- Type : PThread
- Types : PSTUNAttribute , PFactoryTemplate< AbstractClass, ParamType, KeyType >::WorkerBase

### - u -

- UrlFormat : PURL

### - v -

- Validation : PMemoryHeap
- ValidationOp : PXML
- ValidationState : PSecureConfig
- VideoFormat : PVideoDevice

### - w -

- Weekdays : PTime